﻿
using System;
using Wisej.Ext.WebWorker;
using Wisej.Web;

namespace Wisej.WebWorkerTest
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void webWorker1_PostMessage(object sender, Ext.WebWorker.WebWorkerPostMessageEventArgs e)
		{
			var text = e.Data.ToString();
			this.result.Html = text;

			if (text != "Working...")
			{
				this.button1.Enabled = true;
				this.button2.Enabled = false;
			}
		}

		private void button1_Click(object sender, EventArgs e)
		{
			this.webWorker1.SendMessage(new
			{
				Min = this.rangeStart.Value,
				Max = this.rangeEnd.Value
			});

			this.button1.Enabled = false;
			this.button2.Enabled = true;
		}

		private void button2_Click(object sender, EventArgs e)
		{
			this.button1.Enabled = true;
			this.button2.Enabled = false;
			this.webWorker1.Terminate();
			this.result.Html = "Terminated";
		}

		private void Page1_Load(object sender, EventArgs e)
		{
			if (!WebWorker.IsSupported)
			{
				this.button1.Enabled = false;
				AlertBox.Show("Sorry, this browser doesn't support web workers.", MessageBoxIcon.Stop);
			}
		}
	}
}
